Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.triangulate
Class NonEncroachingSplitPointFinder

    java.lang.Object
      com.vividsolutions.jts.triangulate.NonEncroachingSplitPointFinder

All Implemented Interfaces:
  ConstraintSplitPointFinder

    public class NonEncroachingSplitPointFinder

extends java.lang.Object
implements ConstraintSplitPointFinder

A strategy for finding constraint split points which attempts to maximise the length of the split segments while preventing further encroachment. (This is not always possible for narrow angles).

Author:
  Martin Davis

Constructor Summary
`NonEncroachingSplitPointFinder()`

Method Summary
`Coordinate` | `findSplitPoint(Segment seg, Coordinate encroachPt)` A basic strategy for finding split points when nothing extra is known about the geometry of the situation.
`static Coordinate` | `projectedSplitPoint(Segment seg, Coordinate encroachPt)` Computes a split point which is the projection of the encroaching point on the segment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonEncroachingSplitPointFinder

    public NonEncroachingSplitPointFinder()

Method Detail

### findSplitPoint

    public Coordinate findSplitPoint(Segment seg,
                                     Coordinate encroachPt)

  A basic strategy for finding split points when nothing extra is known about the geometry of the situation.

  Specified by:
    `findSplitPoint` in interface `ConstraintSplitPointFinder`
  Parameters:
    `seg` - the encroached segment
    `encroachPt` - the encroaching point
  Returns:
    the point at which to split the encroached segment

### projectedSplitPoint

    public static Coordinate projectedSplitPoint(Segment seg,
                                                 Coordinate encroachPt)

  Computes a split point which is the projection of the encroaching point on the segment

  Parameters:
    `seg` -
    `encroachPt` -
  Returns:
    a split point on the segment

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD